summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-10-25 19:30:42 +0000
committer Eric Hameleers <alien@slackware.com>2021-10-26 08:59:55 +0200
commitb38f92681d3acd242c2e5b0e37d353d4e2a683c2 (patch)
treed43bb7dffe24376bc530e55b46bdddfb32f402d0 /source
parent9d31c53bf5c7a326a03f0b37e534d6ae40cf5d8f (diff)
downloadcurrent-b38f92681d3acd242c2e5b0e37d353d4e2a683c2.tar.gz
current-b38f92681d3acd242c2e5b0e37d353d4e2a683c2.tar.xz
Mon Oct 25 19:30:42 UTC 202120211025193042
ap/slackpkg-15.0.8-noarch-1.txz: Upgraded. Author: piterpunk <piterpunk@slackware.com> To make it easier to do an unattended slackpkg update/upgrade process, this commit provides different exit codes for many situations: 0 Successful slackpkg execution. 1 Something wrong happened. 20 No package found to be downloaded, installed, reinstalled, upgraded, or removed. 50 Slackpkg itself was upgraded and you need to re-run it. 100 There are pending updates. Code and the main manpage are updated accordingly. In addition, this commit also: - removes the ChangeLog.txt in doinst.sh, so the needed 'slackpkg update' after Slackpkg upgrade won't say it's all OK and doesn't need to redo the package lists - removes AUTHORS from manpage. Nowadays there is code from many people in Slackpkg and it seems a bit unfair to have only my and Evaldo's name listed there. Signed-off-by: Robby Workman <rworkman@slackware.com> d/meson-0.60.0-x86_64-1.txz: Upgraded. l/ffmpeg-4.4.1-x86_64-1.txz: Upgraded. l/imagemagick-7.1.0_11-x86_64-1.txz: Upgraded. l/libcap-2.60-x86_64-1.txz: Upgraded. l/libsoup-2.74.1-x86_64-1.txz: Upgraded. l/sip-4.19.25-x86_64-3.txz: Rebuilt. Drop the Qt4 modules. Thanks to gmgf. n/dhcpcd-9.4.1-x86_64-1.txz: Upgraded. testing/packages/linux-5.14.x/kernel-generic-5.14.14-x86_64-3.txz: Rebuilt. testing/packages/linux-5.14.x/kernel-headers-5.14.14-x86-3.txz: Rebuilt. testing/packages/linux-5.14.x/kernel-huge-5.14.14-x86_64-3.txz: Rebuilt. testing/packages/linux-5.14.x/kernel-modules-5.14.14-x86_64-3.txz: Rebuilt. testing/packages/linux-5.14.x/kernel-source-5.14.14-noarch-3.txz: Rebuilt. Let's enable SCHED_AUTOGROUP, which should improve desktop latency under a heavy CPU load while being mostly inert on servers. It may be disabled at boot time with a "noautogroup" kernel parameter, or at runtime like this: echo 0 > /proc/sys/kernel/sched_autogroup_enabled Thanks to gbschenkel. SCHED_AUTOGROUP n -> y
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/mariadb/mariadb.SlackBuild7
-rw-r--r--source/ap/mariadb/mysql.no.plugin_auth_pam.diff11
-rw-r--r--source/ap/mariadb/mysql_install_db.nopam.diff48
-rw-r--r--source/ap/slackpkg/doinst.sh1
-rw-r--r--source/ap/slackpkg/files/ChangeLog5
-rw-r--r--source/ap/slackpkg/files/core-functions.sh2
-rw-r--r--source/ap/slackpkg/files/slackpkg13
-rw-r--r--source/ap/slackpkg/files/slackpkg.824
-rwxr-xr-xsource/ap/slackpkg/slackpkg.SlackBuild2
-rwxr-xr-xsource/l/ffmpeg/ffmpeg.SlackBuild2
-rwxr-xr-xsource/l/sip/sip.SlackBuild39
-rw-r--r--source/n/dhcpcd/dhcpcd-9.4.0.tar.xz.distinfo1
-rw-r--r--source/n/dhcpcd/dhcpcd-9.4.1.tar.xz.distinfo1
-rwxr-xr-xsource/n/dhcpcd/dhcpcd.SlackBuild3
-rw-r--r--source/n/dhcpcd/patches/dhcpcd.2fae4a113c3e736d585dd300ca6c8fddae300503.patch119
15 files changed, 38 insertions, 240 deletions
diff --git a/source/ap/mariadb/mariadb.SlackBuild b/source/ap/mariadb/mariadb.SlackBuild
index 634280605..bfbff136b 100755
--- a/source/ap/mariadb/mariadb.SlackBuild
+++ b/source/ap/mariadb/mariadb.SlackBuild
@@ -90,13 +90,6 @@ rm -rf ${PKGNAM}-$VERSION
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
-# Fix mysql_install_db if PAM is not installed:
-if [ ! -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
- zcat $CWD/mysql_install_db.nopam.diff.gz | patch -p1 --verbose || exit 1
- # Also no PAM plugin then:
- zcat $CWD/mysql.no.plugin_auth_pam.diff.gz | patch -p1 --verbose || exit 1
-fi
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/ap/mariadb/mysql.no.plugin_auth_pam.diff b/source/ap/mariadb/mysql.no.plugin_auth_pam.diff
deleted file mode 100644
index 34eedf5af..000000000
--- a/source/ap/mariadb/mysql.no.plugin_auth_pam.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./cmake/build_configurations/mysql_release.cmake.orig 2019-09-08 16:02:29.000000000 -0500
-+++ ./cmake/build_configurations/mysql_release.cmake 2019-09-11 14:56:53.845129062 -0500
-@@ -124,7 +124,7 @@
-
- IF(UNIX)
- SET(WITH_EXTRA_CHARSETS all CACHE STRING "")
-- SET(PLUGIN_AUTH_PAM YES)
-+ SET(PLUGIN_AUTH_PAM NO)
-
- IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
- IF(NOT IGNORE_AIO_CHECK)
diff --git a/source/ap/mariadb/mysql_install_db.nopam.diff b/source/ap/mariadb/mysql_install_db.nopam.diff
deleted file mode 100644
index 70503865a..000000000
--- a/source/ap/mariadb/mysql_install_db.nopam.diff
+++ /dev/null
@@ -1,48 +0,0 @@
---- ./scripts/mysql_install_db.sh.orig 2020-01-28 11:31:09.088303502 -0600
-+++ ./scripts/mysql_install_db.sh 2020-01-28 11:35:47.822283410 -0600
-@@ -480,25 +480,26 @@
-
- if test -n "$user"
- then
-- if test -z "$srcdir" -a "$in_rpm" -eq 0
-- then
-- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
-- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
-- if test $? -ne 0
-- then
-- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
-- echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
-- echo
-- fi
-- chown $user "$pamtooldir/auth_pam_tool_dir" && \
-- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
-- if test $? -ne 0
-- then
-- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
-- echo "to the '$user' user. Check that you have the necessary permissions and try again."
-- echo
-- fi
-- fi
-+ # Commented out since Slackware does not currently provide PAM:
-+ #if test -z "$srcdir" -a "$in_rpm" -eq 0
-+ #then
-+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
-+ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
-+ # if test $? -ne 0
-+ # then
-+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
-+ # echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
-+ # echo
-+ # fi
-+ # chown $user "$pamtooldir/auth_pam_tool_dir" && \
-+ # chmod 0700 "$pamtooldir/auth_pam_tool_dir"
-+ # if test $? -ne 0
-+ # then
-+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
-+ # echo "to the '$user' user. Check that you have the necessary permissions and try again."
-+ # echo
-+ # fi
-+ #fi
- args="$args --user=$user"
- fi
-
diff --git a/source/ap/slackpkg/doinst.sh b/source/ap/slackpkg/doinst.sh
index 02790a48e..77264140e 100644
--- a/source/ap/slackpkg/doinst.sh
+++ b/source/ap/slackpkg/doinst.sh
@@ -39,5 +39,6 @@ copy_mirror_file
config etc/slackpkg/mirrors.new
config etc/slackpkg/slackpkg.conf.new
config etc/slackpkg/blacklist.new
+rm -f var/lib/slackpkg/ChangeLog.txt
rm -f var/lib/slackpkg/pkglist
rm -f var/lib/slackpkg/CHECKSUMS.md5*
diff --git a/source/ap/slackpkg/files/ChangeLog b/source/ap/slackpkg/files/ChangeLog
index 8f875390a..d61aa2085 100644
--- a/source/ap/slackpkg/files/ChangeLog
+++ b/source/ap/slackpkg/files/ChangeLog
@@ -1,3 +1,8 @@
+Sun Oct 24 19:44:21 CDT 2021
+---------------
+ - Release 15.0.8
+ - New exit status for different situations (Piter PUNK)
+
Mon Aug 16 02:14:02 UTC 2021
---------------
- Release 15.0.7
diff --git a/source/ap/slackpkg/files/core-functions.sh b/source/ap/slackpkg/files/core-functions.sh
index 1a5062774..5969ffcc4 100644
--- a/source/ap/slackpkg/files/core-functions.sh
+++ b/source/ap/slackpkg/files/core-functions.sh
@@ -7,7 +7,7 @@
# Clean-up tmp and lock files
#
function cleanup() {
- local retval=${PENDING_UPDATES:-0}
+ local retval=${EXIT_CODE:-0}
[ "$SPINNING" = "off" ] || tput cnorm
if [ -e $TMPDIR/error.log ]; then
retval=1
diff --git a/source/ap/slackpkg/files/slackpkg b/source/ap/slackpkg/files/slackpkg
index f606574a1..de02d0511 100644
--- a/source/ap/slackpkg/files/slackpkg
+++ b/source/ap/slackpkg/files/slackpkg
@@ -332,7 +332,7 @@ case "$CMD" in
echo "Slackpkg: No updated packages since last check."
else
echo "Slackpkg: Updated packages are available since last check." >&2
- PENDING_UPDATES=1
+ EXIT_CODE=100
fi
;;
show-changelog)
@@ -368,6 +368,7 @@ case "$CMD" in
echo -e "No packages match the pattern for install. Try:"
echo -e "\n\t$0 reinstall|upgrade $2\n"
POSTINST=off
+ EXIT_CODE=20
fi
;;
reinstall)
@@ -379,6 +380,7 @@ case "$CMD" in
echo -e "No packages match the pattern for reinstall. Try:"
echo -e "\n\t$0 install|upgrade $2\n"
POSTINST=off
+ EXIT_CODE=20
fi
;;
upgrade)
@@ -391,6 +393,7 @@ case "$CMD" in
echo -e "No packages match the pattern for upgrade. Try:"
echo -e "\n\t$0 install|reinstall $2\n"
POSTINST=off
+ EXIT_CODE=20
fi
;;
download)
@@ -404,12 +407,14 @@ case "$CMD" in
else
echo -e "No packages match the pattern for download."
POSTINST=off
+ EXIT_CODE=20
fi
;;
remove)
makelist $INPUTLIST
if [ "$LIST" = "" ]; then
echo -e "The file(s) $INPUTLIST can't be removed - package not installed.\n"
+ EXIT_CODE=20
cleanup
fi
showlist "$LIST" $CMD
@@ -423,6 +428,7 @@ case "$CMD" in
else
echo -e "No packages match the pattern for clean-system\n"
POSTINST=off
+ EXIT_CODE=20
fi
;;
upgrade-all)
@@ -432,6 +438,7 @@ case "$CMD" in
echo -e "No packages match the pattern for upgrade. Try:"
echo -e "\n\t$0 install|reinstall $2\n"
POSTINST=off
+ EXIT_CODE=20
else
showlist "$LIST" upgrade
if [ "$DOWNLOAD_ALL" = "on" ]; then
@@ -447,8 +454,9 @@ case "$CMD" in
if [ "$FOUND" != "" ]; then
getpkg $FOUND upgradepkg Upgrading
echo -e "slackpkg was upgraded - you will need start the upgrade process again...\n"
+ EXIT_CODE=50
cleanup
- exit 0
+ exit ${EXIT_CODE}
fi
for i in pkgtools aaa_glibc-solibs glibc-solibs aaa_libraries aaa_elflibs readline sed; do
FOUND=""
@@ -466,6 +474,7 @@ case "$CMD" in
echo -e "No packages match the pattern for install. Try:"
echo -e "\n\t$0 upgrade|reinstall $2\n"
POSTINST=off
+ EXIT_CODE=20
else
showlist "$LIST" install
install_pkg
diff --git a/source/ap/slackpkg/files/slackpkg.8 b/source/ap/slackpkg/files/slackpkg.8
index ab36202e4..46acc277b 100644
--- a/source/ap/slackpkg/files/slackpkg.8
+++ b/source/ap/slackpkg/files/slackpkg.8
@@ -1,4 +1,4 @@
-.TH SLACKPKG 8 "March 12, 2021" slackpkg-15.0.1 ""
+.TH SLACKPKG 8 "Oct 8, 2021" slackpkg-15.0.8 ""
.SH NAME
.B slackpkg
\- Automated tool for managing Slackware Linux packages
@@ -305,6 +305,20 @@ If you happen to be looking for a filename-with-space, you are safe to use the
left-most part up to the space (in that the right-most part after the space
will be ignored anyway (at best) or yield noise (at worst)).
+.SH EXIT STATUS
+.P
+.IP "\fB0\fP" 5
+Successful slackpkg execution.
+.IP "\fB1\fP" 5
+Something wrong happened.
+.IP "\fB20\fP" 5
+No package found to be downloaded, installed, reinstalled, upgraded, or
+removed.
+.IP "\fB50\fP" 5
+Slackpkg itself was upgraded and you need to re-run it.
+.IP "\fB100\fP" 5
+There are pending updates.
+
.SH FILES
.TP 5
.B /etc/slackpkg/mirrors
@@ -333,11 +347,3 @@ ChangeLog.txt, list of files, etcetera...
.BR explodepkg (8),
.BR makepkg (8),
.BR pkgtool (8).
-
-.SH AUTHORS
-.TP 5
-Piter PUNK aka Roberto F Batista
-<piterpk AT terra DOT com DOT br>
-.TP 5
-Evaldo Gardenali aka UdontKnow
-<evaldo AT fasternet DOT com DOT br>
diff --git a/source/ap/slackpkg/slackpkg.SlackBuild b/source/ap/slackpkg/slackpkg.SlackBuild
index 76c0347f4..0cc9b56d4 100755
--- a/source/ap/slackpkg/slackpkg.SlackBuild
+++ b/source/ap/slackpkg/slackpkg.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slackpkg
-VERSION=${VERSION:-15.0.7}
+VERSION=${VERSION:-15.0.8}
ARCH="noarch"
BUILD=${BUILD:-1}
diff --git a/source/l/ffmpeg/ffmpeg.SlackBuild b/source/l/ffmpeg/ffmpeg.SlackBuild
index 6d4c4eb3e..49bfcc602 100755
--- a/source/l/ffmpeg/ffmpeg.SlackBuild
+++ b/source/l/ffmpeg/ffmpeg.SlackBuild
@@ -30,7 +30,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ffmpeg
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
diff --git a/source/l/sip/sip.SlackBuild b/source/l/sip/sip.SlackBuild
index c722f9ed2..4668df16a 100755
--- a/source/l/sip/sip.SlackBuild
+++ b/source/l/sip/sip.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -87,30 +87,6 @@ find . \
-exec chmod 644 {} \+
python2 configure.py \
- -b "/usr/bin" \
- -d "$PYTHON2LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt4 private sip module:
-make clean
-python2 configure.py \
- --sip-module PyQt4.sip \
- --no-tools \
- -b "/usr/bin" \
- -d "$PYTHON2LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt5 private sip module:
-make clean
-python2 configure.py \
--sip-module PyQt5.sip \
--no-tools \
-b "/usr/bin" \
@@ -125,20 +101,7 @@ make install DESTDIR=$PKG || exit 1
mv $PKG/usr/bin/sip $PKG/usr/bin/sip2
make clean
-
-python3 configure.py \
- -b "/usr/bin" \
- -d "$PYTHON3LIB" \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" || exit 1
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-# Add the PyQt4 private sip module:
-make clean
python3 configure.py \
- --sip-module PyQt4.sip \
- --no-tools \
-b "/usr/bin" \
-d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \
diff --git a/source/n/dhcpcd/dhcpcd-9.4.0.tar.xz.distinfo b/source/n/dhcpcd/dhcpcd-9.4.0.tar.xz.distinfo
deleted file mode 100644
index fa1cbf654..000000000
--- a/source/n/dhcpcd/dhcpcd-9.4.0.tar.xz.distinfo
+++ /dev/null
@@ -1 +0,0 @@
-SHA256 (dhcpcd-9.4.0.tar.xz) = 41a69297f380bf15ee8f94f73154f8c2bca7157a087c0d5aca8de000ba1d4513
diff --git a/source/n/dhcpcd/dhcpcd-9.4.1.tar.xz.distinfo b/source/n/dhcpcd/dhcpcd-9.4.1.tar.xz.distinfo
new file mode 100644
index 000000000..40b2f7bff
--- /dev/null
+++ b/source/n/dhcpcd/dhcpcd-9.4.1.tar.xz.distinfo
@@ -0,0 +1 @@
+SHA256 (dhcpcd-9.4.1.tar.xz) = 819357634efed1ea5cf44ec01b24d3d3f8852fec8b4249925dcc5667c54e376c
diff --git a/source/n/dhcpcd/dhcpcd.SlackBuild b/source/n/dhcpcd/dhcpcd.SlackBuild
index 5bab0cb38..82a9b44fb 100755
--- a/source/n/dhcpcd/dhcpcd.SlackBuild
+++ b/source/n/dhcpcd/dhcpcd.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=dhcpcd
VERSION=${VERSION:-$(echo dhcpcd-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# By default, Slackware builds dhcpcd with privilege separation, which improves
# security by ensuring that any security vulnerabilies such as buffer overflows
@@ -85,7 +85,6 @@ find . \
patch -p1 --verbose < $CWD/patches/dhcpcd.conf-Don-t-invoke-wpa_supplicant-by-default.patch || exit 1
patch -p1 --verbose < $CWD/patches/use-hostname_short-in-dhcpcd.conf.patch || exit 1
patch -p1 --verbose < $CWD/patches/dhcpcd.conf-request_ntp_server_by_default.patch || exit 1
-patch -p1 --verbose < $CWD/patches/dhcpcd.2fae4a113c3e736d585dd300ca6c8fddae300503.patch || exit 1
# At this point, it should be safe to assume that /var will be mounted by the
# time dhcpcd is called, as all non-root local filesystems are mounted from
diff --git a/source/n/dhcpcd/patches/dhcpcd.2fae4a113c3e736d585dd300ca6c8fddae300503.patch b/source/n/dhcpcd/patches/dhcpcd.2fae4a113c3e736d585dd300ca6c8fddae300503.patch
deleted file mode 100644
index 8f6a0075a..000000000
--- a/source/n/dhcpcd/patches/dhcpcd.2fae4a113c3e736d585dd300ca6c8fddae300503.patch
+++ /dev/null
@@ -1,119 +0,0 @@
-From 2fae4a113c3e736d585dd300ca6c8fddae300503 Mon Sep 17 00:00:00 2001
-From: Roy Marples <roy@marples.name>
-Date: Tue, 31 Aug 2021 10:57:44 +0100
-Subject: [PATCH] DHCP6: Only send FQDN for SOLICIT, REQUEST, RENEW, or REBIND messages.
-
-As per RFC 4704 section 5.
-Fixes #44.
----
- src/dhcp6.c | 79 +++++++++++++++++++++++++++++++++-------------------------
- 1 files changed, 45 insertions(+), 34 deletions(-)
-
-diff --git a/src/dhcp6.c b/src/dhcp6.c
-index f355418..9c818b3 100644
---- a/src/dhcp6.c
-+++ b/src/dhcp6.c
-@@ -637,7 +637,7 @@ dhcp6_makemessage(struct interface *ifp)
- uint8_t type;
- uint16_t si_len, uni_len, n_options;
- uint8_t *o_lenp;
-- struct if_options *ifo;
-+ struct if_options *ifo = ifp->options;
- const struct dhcp_opt *opt, *opt2;
- const struct ipv6_addr *ap;
- char hbuf[HOSTNAME_MAX_LEN + 1];
-@@ -658,8 +658,50 @@ dhcp6_makemessage(struct interface *ifp)
- state->send = NULL;
- }
-
-- ifo = ifp->options;
-- fqdn = ifo->fqdn;
-+ switch(state->state) {
-+ case DH6S_INIT: /* FALLTHROUGH */
-+ case DH6S_DISCOVER:
-+ type = DHCP6_SOLICIT;
-+ break;
-+ case DH6S_REQUEST:
-+ type = DHCP6_REQUEST;
-+ break;
-+ case DH6S_CONFIRM:
-+ type = DHCP6_CONFIRM;
-+ break;
-+ case DH6S_REBIND:
-+ type = DHCP6_REBIND;
-+ break;
-+ case DH6S_RENEW:
-+ type = DHCP6_RENEW;
-+ break;
-+ case DH6S_INFORM:
-+ type = DHCP6_INFORMATION_REQ;
-+ break;
-+ case DH6S_RELEASE:
-+ type = DHCP6_RELEASE;
-+ break;
-+ case DH6S_DECLINE:
-+ type = DHCP6_DECLINE;
-+ break;
-+ default:
-+ errno = EINVAL;
-+ return -1;
-+ }
-+
-+ /* RFC 4704 Section 5 says we can only send FQDN for these
-+ * message types. */
-+ switch(type) {
-+ case DHCP6_SOLICIT:
-+ case DHCP6_REQUEST:
-+ case DHCP6_RENEW:
-+ case DHCP6_REBIND:
-+ fqdn = ifo->fqdn;
-+ break;
-+ default:
-+ fqdn = FQDN_DISABLE;
-+ break;
-+ }
-
- if (fqdn == FQDN_DISABLE && ifo->options & DHCPCD_HOSTNAME) {
- /* We're sending the DHCPv4 hostname option, so send FQDN as
-@@ -823,37 +865,6 @@ dhcp6_makemessage(struct interface *ifp)
- }
-
- switch(state->state) {
-- case DH6S_INIT: /* FALLTHROUGH */
-- case DH6S_DISCOVER:
-- type = DHCP6_SOLICIT;
-- break;
-- case DH6S_REQUEST:
-- type = DHCP6_REQUEST;
-- break;
-- case DH6S_CONFIRM:
-- type = DHCP6_CONFIRM;
-- break;
-- case DH6S_REBIND:
-- type = DHCP6_REBIND;
-- break;
-- case DH6S_RENEW:
-- type = DHCP6_RENEW;
-- break;
-- case DH6S_INFORM:
-- type = DHCP6_INFORMATION_REQ;
-- break;
-- case DH6S_RELEASE:
-- type = DHCP6_RELEASE;
-- break;
-- case DH6S_DECLINE:
-- type = DHCP6_DECLINE;
-- break;
-- default:
-- errno = EINVAL;
-- return -1;
-- }
--
-- switch(state->state) {
- case DH6S_REQUEST: /* FALLTHROUGH */
- case DH6S_RENEW: /* FALLTHROUGH */
- case DH6S_RELEASE:
---
-1.7.1
-
-